using System;
using System.ComponentModel.DataAnnotations;

namespace DiplomovaPrace.Model.Security
{
	public class LoginAccount
	{
		public int ID { get; set; }

		[MaxLength(100)]
		public string FirstName { get; set; }

		[MaxLength(100)]
		public string LastName { get; set; }

		[Required]
		[MaxLength(200)]
		public string Email { get; set; }

		[Required]
		[MaxLength(160)]
		public string PasswordHash { get; set; }

		[Required]
		[MaxLength(10)]
		public string PasswordSalt { get; set; }

		public Role Role { get; set; }

		public int? RoleID { get; set; }

		public DateTime? Deleted { get; set; }
	}
}
